Index: konq_mainwindow.cc
===================================================================
RCS file: /home/kde/kdebase/konqueror/konq_mainwindow.cc,v
retrieving revision 1.1274.2.26
diff -u -p -r1.1274.2.26 konq_mainwindow.cc
--- konqueror/konq_mainwindow.cc	6 Sep 2004 16:43:54 -0000	1.1274.2.26
+++ konqueror/konq_mainwindow.cc	12 Dec 2004 17:10:07 -0000
@@ -2113,6 +2113,17 @@ KonqView * KonqMainWindow::childView( KP
     QString viewName = view->viewName();
     kdDebug() << "       - viewName=" << viewName << "   "
               << "frame names:" << view->frameNames().join( "," ) << endl;
+
+    // First look for a hostextension containing this frame name
+    KParts::BrowserHostExtension *ext = KParts::BrowserHostExtension::childObject( view->part() );
+    if ( ext )
+    {
+      ext = ext->findFrameParent(callingPart, name);
+      kdDebug() << "BrowserHostExtension found part " << ext << endl;
+      if (!ext)
+         continue; // Don't use this window
+    }
+
     if ( !viewName.isEmpty() && viewName == name )
     {
       kdDebug() << "found existing view by name: " << view << endl;
@@ -2123,15 +2134,6 @@ KonqView * KonqMainWindow::childView( KP
       return view;
     }
 
-    // First look for a hostextension containing this frame name
-    KParts::BrowserHostExtension *ext = KParts::BrowserHostExtension::childObject( view->part() );
-    if ( ext )
-    {
-      ext = ext->findFrameParent(callingPart, name);
-    }
-    
-//    KParts::BrowserHostExtension* ext = KonqView::hostExtension( view->part(), name );
-
     if ( ext )
     {
       QPtrList<KParts::ReadOnlyPart> frames = ext->frames();
